defApplication('ifconfig', 'ifconfig') {|a|
   a.name = "ifconfig" 
     a.version(0, 0, 1)
     a.path = "/sbin/ifconfig" 
  a.defProperty('args', "Arguments for ifconfig command", nil,  {:order => 1, :dynamic => false, :type => :string, :use_name => false})
}
defApplication('wimaxcu', 'wimaxcu') {|a|
   a.name = "wimaxcu" 
     a.version(0, 0, 1)
     a.path = "/usr/bin/wimaxcu" 
  a.defProperty('args', "Arguments for wimaxcu command", nil,  {:order => 1, :dynamic => false, :type => :string, :use_name => false})
}

defGroup('Sender', [1,2]) { |node|
  node.addApplication('wimaxcu') { |app|
    app.setProperty('args','connect network 51')
  }
  node.addApplication("ifconfig") { |app|
    app.setProperty('args','wmx0 10.41.17.2 netmask 255.255.0.0')
  }
  node.addApplication("test:app:otg2") { |app|
     app.setProperty('udp:local_host', '10.41.17.2')
     app.setProperty('udp:dst_host', '10.41.17.1')
     app.setProperty('udp:dst_port', 3000)
     app.measure('udp_out', :interval => 3)
  }
}

 
defGroup('Receiver', [1,1]) { |node|
  node.addApplication('wimaxcu') { |app|
    app.setProperty('args','connect network 51')
  }
  node.addApplication("ifconfig") { |app|
    app.setProperty('args','wmx0 10.41.17.1 netmask 255.255.0.0')
  }
  node.addApplication("test:app:otr2") { |app|
    app.setProperty('udp:local_host', '10.41.17.1')
    app.setProperty('udp:local_port', 3000)
    app.measure('udp_in', :interval => 3)
  }
}

whenAllInstalled() {|node|
   info "Give machines some time to warm up" 
   wait 10
   allGroups.startApplications
   info "Collect measurements for 100 seconds" 
   wait 100
   info "Finish it." 
   Experiment.done
}
